package Tasks is
  Max_Tasks: constant Natural := 10;
  task type TestTask( ID: Natural );
  type Task_Addr is access TestTask;
  subtype Task_Count is Natural range 0..Max_Tasks;
  type TA is array(1..Task_Count'Last) of Task_Addr;

  procedure Create_Tasks(N: in Task_Count);
  procedure Abort_Tasks;
  function Count_Alive return Natural;
private 
  A: TA;
end Tasks;
